X2Go Bug report logs - #149
Profile files not being sources in x2goserver-xsession

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: "Matthew L. Dailey" <matthew.l.dailey@dartmouth.edu>

Date: Mon, 25 Mar 2013 16:48:01 UTC

Severity: normal

Tags: patch, pending

Found in version 4.1.0.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#149; Package x2goserver. (Mon, 25 Mar 2013 16:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to "Matthew L. Dailey" <matthew.l.dailey@dartmouth.edu>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 25 Mar 2013 16:48:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: "Matthew L. Dailey" <matthew.l.dailey@dartmouth.edu>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: Profile files not being sources in x2goserver-xsession
Date: Mon, 25 Mar 2013 12:17:33 -0400
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.1.0.0

Greetings,

When launching X sessions, x2goserver-xsession does not source the following files:

/etc/profile
$HOME/.profile
/etc/xprofile
$HOME/.xprofile

This can lead to problems if important things are needed from these files, usually PATH additions. I've looked at a couple of greeters - lightdm and gdm - and each of these source these files within their Xsession script.

So, the fix is to just use the same logic in the Xsession script within x2goserver-xsession. Below (and attached) is a patch based on code from the lightdm Xsession script.

Thanks for your attention and please let me know if you have any questions or need any other information. 

-- 
Matthew L. Dailey
Systems Administrator
Thayer School of Engineering
Dartmouth College

--- Xsession.orig	2013-03-25 11:41:16.629002598 -0400
+++ Xsession	2013-03-25 11:54:44.588718173 -0400
@@ -49,6 +49,14 @@
            "<x2go-dev@lists.x2go.org>."
 }

+# Load profile
+for file in "/etc/profile" "$HOME/.profile" "/etc/xprofile" "$HOME/.xprofile"; do
+    if [ -f "$file" ]; then
+        echo "Loading profile from $file";
+        . "$file"
+    fi
+done
+
 # initialize variables for use by all session scripts

 OPTIONFILE=/etc/x2go/Xsession.options

[xsession.patch (application/octet-stream, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#149; Package x2goserver. (Mon, 25 Mar 2013 21:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 25 Mar 2013 21:48:02 GMT) (full text, mbox, link).


Message #10 received at 149@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: "Matthew L. Dailey" <matthew.l.dailey@dartmouth.edu>, 149@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#149: Profile files not being sources in x2goserver-xsession
Date: Mon, 25 Mar 2013 22:41:16 +0100
[Message part 1 (text/plain, inline)]
tag #149 pending
thanks

On Mo 25 Mär 2013 17:17:33 CET "Matthew L. Dailey" wrote:

> Package: x2goserver
> Version: 4.1.0.0
>
> Greetings,
>
> When launching X sessions, x2goserver-xsession does not source the  
> following files:
>
> /etc/profile
> $HOME/.profile
> /etc/xprofile
> $HOME/.xprofile
>
> This can lead to problems if important things are needed from these  
> files, usually PATH additions. I've looked at a couple of greeters -  
> lightdm and gdm - and each of these source these files within their  
> Xsession script.
>
> So, the fix is to just use the same logic in the Xsession script  
> within x2goserver-xsession. Below (and attached) is a patch based on  
> code from the lightdm Xsession script.
>
> Thanks for your attention and please let me know if you have any  
> questions or need any other information.

Thanks a lot for reporting!!!

Patch has been applied to master branch and release/4.0.0.x branch.

Here is the master branch patch:
http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=592a66ce229942afce5fe64fc8690f5e5f48848c

Greets,
Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 25 Mar 2013 21:48:02 GMT) (full text, mbox, link).


Added tag(s) patch. Request was from mike@das-netzwerkteam.de (Mike Gabriel) to control@bugs.x2go.org. (Mon, 25 Mar 2013 22:18:01 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#149; Package x2goserver. (Sat, 18 May 2013 23:01:17 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 18 May 2013 23:01:18 GMT) (full text, mbox, link).


Message #19 received at 149@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 149-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 149@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Sun, 19 May 2013 00:55:40 +0200 (CEST)
close #149
thanks

Hello,

we are very hopeful that X2Go issue #149 reported by you
has been resolved in the new release (4.0.0.2) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.0.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=d035421386eb85627f23628e69e0c0b07ebb7c8c;hp=6a78a843e29b9169ed7e64735908f308eacd4951

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.0.2
Status: RELEASE
Date: Sun, 19 May 2013 00:54:34 +0200
Fixes: 103 149 163 200
Changes: 
 x2goserver (4.0.0.2) RELEASED; urgency=low
 .
   [ Matthew L. Dailey ]
   * New upstream version (4.0.0.2):
     - Do parse profile/xprofile files in X2Go's Xsession file. (Fixes: #149).
 .
   [ Jan Engelhardt ]
   * New upstream version (4.0.0.2):
     - Use x2gopath in Perl scripts to set the lib path. (Fixes: #103).
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.0.2):
     - Use make_path from File::Path in x2godbadmin to create user directory if
       not present. (Fixes: #200).
     - Security fix for setgid wrapper x2gosqlitewrapper.c. Hard-code path to
       x2gosqlitewrapper.pl during build via defining a macro in the Makefile.
       Thanks to Richard Weinberger for spotting this!!!
   /debian/control:
     + Let x2goserver bin:package depend on xfonts-base and fontconfig. (Fixes:
       #163).
     + Create session log symlink after launching x2goagent. Fix order of target
       and symlink name when executing the command.


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 18 May 2013 23:01:20 GMT) (full text, mbox, link).


Notification sent to "Matthew L. Dailey" <matthew.l.dailey@dartmouth.edu>:
Bug acknowledged by developer. (Sat, 18 May 2013 23:01:20 GMT) (full text, mbox, link).


Message sent on to "Matthew L. Dailey" <matthew.l.dailey@dartmouth.edu>:
Bug#149. (Sat, 18 May 2013 23:01:22 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 16 Jun 2013 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Dec 8 05:58:38 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.